---
updatedAt: 2026-09-26T02:51:07.000Z
agentTools:
  projectIndex: https://developers.dialpad.com/llms.txt
---

# Call Transcript -- Get

Gets the Dialpad AI transcript of a call, including moments.

Rate limit: 1200 per minute.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "protos.transcript.TranscriptLineProto": {
        "properties": {
          "contact_id": {
            "description": "The ID of the contact who was speaking.",
            "type": [
              "null",
              "string"
            ]
          },
          "content": {
            "description": "The transcribed text.",
            "type": [
              "null",
              "string"
            ]
          },
          "name": {
            "description": "The name of the call participant who was speaking.",
            "type": [
              "null",
              "string"
            ]
          },
          "time": {
            "description": "The time at which the line was spoken.",
            "format": "date-time",
            "type": [
              "null",
              "string"
            ]
          },
          "type": {
            "description": "Either \"moment\" or \"transcript\".",
            "enum": [
              "ai_question",
              "custom_moment",
              "moment",
              "real_time_moment",
              "transcript",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "user_id": {
            "description": "The ID of the user who was speaking.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          }
        },
        "title": "Transcript line.",
        "type": "object"
      },
      "protos.transcript.TranscriptProto": {
        "properties": {
          "call_id": {
            "description": "The call's id.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "lines": {
            "description": "An array of individual lines of the transcript.",
            "items": {
              "$ref": "#/components/schemas/protos.transcript.TranscriptLineProto",
              "type": "object"
            },
            "type": [
              "array",
              "null"
            ]
          }
        },
        "title": "Transcript.",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearer_token": {
        "description": "The API key can be put in the Authorization header.\ni.e. Authorization: Bearer <api_key>",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Dialpad's APIs for customer and third-party developer use",
    "title": "Dialpad",
    "version": "v2",
    "x-logo": {
      "altText": "Dialpad",
      "url": "https://storage.googleapis.com/dialpad_openapi_specs/logo.png"
    }
  },
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/transcripts/{call_id}": {
      "get": {
        "deprecated": false,
        "description": "Gets the Dialpad AI transcript of a call, including moments.\n\nRate limit: 1200 per minute.",
        "operationId": "transcripts.get",
        "parameters": [
          {
            "description": "The call's id.",
            "in": "path",
            "name": "call_id",
            "required": true,
            "schema": {
              "format": "int64",
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "examples": {
                  "json_example": {
                    "value": {
                      "call_id": "1001",
                      "lines": [
                        {
                          "contact_id": "ag5kZXZ-dWJlci12b2ljZXIOCxIHQ29udGFjdBjoBww",
                          "content": "hi",
                          "name": "(415) 555-6666",
                          "time": "2018-05-08T21:33:19.300000",
                          "type": "transcript"
                        },
                        {
                          "content": "hello [expletive]",
                          "name": "テÉst Bot",
                          "time": "2018-05-08T21:33:15.300000",
                          "type": "transcript",
                          "user_id": "2"
                        },
                        {
                          "content": "not_white_listed_moment",
                          "name": "テÉst Bot",
                          "time": "2018-05-08T21:33:16.300000",
                          "type": "moment",
                          "user_id": "2"
                        },
                        {
                          "content": "price_inquiry",
                          "name": "テÉst Bot",
                          "time": "2018-05-08T21:33:17.300000",
                          "type": "moment",
                          "user_id": "2"
                        }
                      ]
                    }
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/protos.transcript.TranscriptProto"
                }
              }
            },
            "description": "A successful response"
          }
        },
        "summary": "Call Transcript -- Get",
        "tags": [
          "transcripts"
        ],
        "x-access": [
          "user"
        ],
        "x-ratelimit": [
          [
            20,
            1
          ]
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://dialpad.com"
    },
    {
      "url": "https://sandbox.dialpad.com"
    }
  ],
  "security": [
    {
      "bearer_token": []
    }
  ],
  "x-readme": {
    "apply-tag-changes": true,
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```